package com.oguerreiro.resilient.error;

public class InventoryImportVariableUnitNotFoundException extends ResilientException {
	private static final String CODE = "E005";
	
	public InventoryImportVariableUnitNotFoundException(String sheetName, int row, String variableCode, String unitCode) {
		super("Sheet [" + sheetName + "]; Row[" + row + "]; Variable Code [" + variableCode + "]; The unit code [" + unitCode + "] wasn't found.");
		
		addMessageArg(sheetName);
		addMessageArg(row);
		addMessageArg(variableCode);
		addMessageArg(unitCode);
	}
	
	@Override
	public String getMessageCode() {
		return CODE;
	}

}
